Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.IO.ExecutableFormats.PeFile Class Reference
Inheritance diagram for Zwipe.Build.Tools.IO.ExecutableFormats.PeFile:
[legend]
Collaboration diagram for Zwipe.Build.Tools.IO.ExecutableFormats.PeFile:
[legend]

## Public Member Functions
| PeFile (string path)
uint | GetPeHeaderOffset ()
ushort | GetMachineType ()
uint | GetPeSignature ()
bool | IsValidPeFile ()
uint | GetOptionalHeaderSize ()
uint | GetOptionalHeaderOffset ()
uint | GetOptionalHeaderMagic ()
bool | IsPe32 ()
bool | IsPe32Plus ()
bool | IsValid ()
uint | GetNumberOfDataDirEntries ()
uint | GetImageBase ()
uint | GetExportTableRva ()
uint | GetExportTableDirectoryOffset ()
uint | GetExportedNamesPointerTableRva ()
uint | GetExportedNamesPointerTableOffset ()
uint | GetExportedNamePtrOffset (uint nName)
string | GetExportedName (uint nName)
uint | GetNumberOfExportedNames ()
uint | GetNumberOfSections ()
uint | GetSectionTableStart ()
uint | GetSectionStart (uint section)
uint | GetSectionVirtualBase (uint section)
uint | GetSectionVirtualSize (uint section)
uint | GetSectionContainingRva (uint rva)
uint | GetSectionFilePointer (uint nSection)
uint | GetSectionFileSize (uint nSection)
uint | GetFilePointerForRva (uint rva)
string[] | GetExportedNames ()
void | Dispose ()
bool | IsAnyCpuLibrary ()
bool | IsDotNetAssembly ()

## Private Member Functions
void | EnsureValidity ()
uint | ReadDwordAtOffset (uint offset)
ushort | ReadWordAtOffset (uint offset)

## Private Attributes
readonly string | _fileName
readonly FileStream | _file
readonly BinaryReader | _reader

## Constructor & Destructor Documentation

## ◆ PeFile()

Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.PeFile | ( | string | path | ) |

## Member Function Documentation

## ◆ Dispose()

void Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.Dispose | ( |  | ) |

## ◆ EnsureValidity()

void Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.EnsureValidity | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetExportedName()

string Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetExportedName | ( | uint | nName | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetExportedNamePtrOffset()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetExportedNamePtrOffset | ( | uint | nName | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetExportedNames()

string[] Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetExportedNames | ( |  | ) |

Here is the call graph for this function:

## ◆ GetExportedNamesPointerTableOffset()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetExportedNamesPointerTableOffset | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetExportedNamesPointerTableRva()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetExportedNamesPointerTableRva | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetExportTableDirectoryOffset()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetExportTableDirectoryOffset | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetExportTableRva()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetExportTableRva | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetFilePointerForRva()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetFilePointerForRva | ( | uint | rva | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetImageBase()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetImageBase | ( |  | ) |

Here is the call graph for this function:

## ◆ GetMachineType()

ushort Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetMachineType | ( |  | ) |

Here is the call graph for this function:

## ◆ GetNumberOfDataDirEntries()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetNumberOfDataDirEntries | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetNumberOfExportedNames()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetNumberOfExportedNames | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetNumberOfSections()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetNumberOfSections | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetOptionalHeaderMagic()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetOptionalHeaderMagic | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetOptionalHeaderOffset()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetOptionalHeaderOffset | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetOptionalHeaderSize()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetOptionalHeaderSize | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetPeHeaderOffset()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetPeHeaderOffset | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetPeSignature()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetPeSignature | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetSectionContainingRva()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetSectionContainingRva | ( | uint | rva | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetSectionFilePointer()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetSectionFilePointer | ( | uint | nSection | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetSectionFileSize()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetSectionFileSize | ( | uint | nSection | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetSectionStart()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetSectionStart | ( | uint | section | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetSectionTableStart()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetSectionTableStart | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetSectionVirtualBase()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetSectionVirtualBase | ( | uint | section | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetSectionVirtualSize()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.GetSectionVirtualSize | ( | uint | section | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsAnyCpuLibrary()

bool Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.IsAnyCpuLibrary | ( |  | ) |

Here is the call graph for this function:

## ◆ IsDotNetAssembly()

bool Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.IsDotNetAssembly | ( |  | ) |

## ◆ IsPe32()

bool Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.IsPe32 | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsPe32Plus()

bool Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.IsPe32Plus | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsValid()

bool Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.IsValid | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ IsValidPeFile()

bool Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.IsValidPeFile | ( |  | ) |

Here is the call graph for this function:

## ◆ ReadDwordAtOffset()

uint Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.ReadDwordAtOffset | ( | uint | offset | ) |
| private

Here is the caller graph for this function:

## ◆ ReadWordAtOffset()

ushort Zwipe.Build.Tools.IO.ExecutableFormats.PeFile.ReadWordAtOffset | ( | uint | offset | ) |
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ _file

readonly FileStream Zwipe.Build.Tools.IO.ExecutableFormats.PeFile._file
| private

## ◆ _fileName

readonly string Zwipe.Build.Tools.IO.ExecutableFormats.PeFile._fileName
| private

## ◆ _reader

readonly BinaryReader Zwipe.Build.Tools.IO.ExecutableFormats.PeFile._reader
| private

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/IO/ExecutableFormats/PEFile.cs